#
# spec file for package wxEphe
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wxEphe
Version:        1.8
Release:        1.13
Summary:        Astronomical ephemeris for the Sun, Moon and solar system planets
License:        GPL-3.0-only
Group:          Productivity/Scientific/Astronomy
URL:            http://www.jpmr.org/
#Freshcode-URL:	https://freshcode.club/projects/wxephe
Source:         https://downloads.sf.net/wxephe/wxEphe-%version.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  wxWidgets-devel >= 3

%description
wxEphe displays astronomical ephemeris for the Sun, the Moon and
solar system planets, given the date and observer's location.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
%find_lang %name

%files -f %name.lang
%license COPYING
%_bindir/wxEphe
%_datadir/applications/*
%_datadir/pixmaps/*

%changelog
* Mon Apr 24 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.8
  * Build system updates only
* Thu Dec 24 2020 Jan Engelhardt <jengelh@inai.de>
- Specfile modernizations.
* Mon Nov  4 2019 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.7
  * Azimuth in Horizontal Coordinates is now computed with South as
    reference.
* Tue Oct 30 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.6
  * Location can now be saved.
* Sat Aug 12 2017 jengelh@inai.de
- Update to new upstream release 1.4
  * An unspecified set of fixes was applied.
* Wed Dec 23 2015 jengelh@inai.de
- Initial package (version 1.3) for build.opensuse.org
